#
# spec file for package leiningen
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           leiningen
# Change LEIN_VERSION in lein-pkg when bumping
Version:        2.9.3
Release:        bp153.1.11
Summary:        Automation for Clojure projects
License:        EPL-1.0
Group:          Development/Tools/Building
URL:            https://leiningen.org/
Source0:        https://github.com/technomancy/leiningen/releases/download/%{version}/leiningen-%{version}-standalone.zip
# Following files are taken from the upstream repo in the `doc` and `bin` subfolders:
Source1:        lein-pkg
Source2:        bash_completion.bash
Source3:        zsh_completion.zsh
Source4:        lein.1
BuildRequires:  fdupes
BuildRequires:  unzip
Requires:       clojure >= 1.10.0
Requires:       java >= 1.8.0
BuildArch:      noarch

%description
Working on Clojure projects with tools designed for Java can be an
exercise in frustration. With Leiningen, builds can be describe with
Clojure. Leiningen handles fetching dependencies, running tests,
packaging projects and can be extended with a number of plugins.

%prep

%build

%install
#LEIN_JAR =
mkdir -p %{buildroot}%{_datadir}/java/
install -m 0644 -D %{SOURCE0} %{buildroot}%{_datadir}/java/leiningen-%{version}-standalone.jar
install -m 0755 -D %{SOURCE1} %{buildroot}%{_bindir}/lein
install -m 0644 -D %{SOURCE2} %{buildroot}%{_datadir}/bash-completion/completions/lein
install -m 0644 -D %{SOURCE3} %{buildroot}%{_sysconfdir}/zsh_completion.d/_lein
install -m 0644 -D %{SOURCE4} %{buildroot}%{_mandir}/man1/lein.1

%fdupes %{buildroot}/%{_prefix}

%files
%{_bindir}/lein
%{_mandir}/man1/lein*
%{_datadir}/bash-completion/completions/lein
%{_sysconfdir}/zsh_completion.d
%{_datadir}/java/leiningen-%{version}-standalone.jar

%changelog
* Wed May  6 2020 Michael Vetter <mvetter@suse.com>
- boo#1171255 - leiningen does not work: ClassNotFoundException:
  Use correct version in bash script
* Tue Mar 17 2020 Michael Vetter <mvetter@suse.com>
- Update to 2.9.3:
  * Fix a bug where deploying would fail to send signature checksums.
  * Memoize application of project middleware.
  * Fix a bug where checksum verification failed on non-GNU systems.
* Wed Mar  4 2020 Michael Vetter <mvetter@suse.com>
- Update to 2.9.2:
  * Bump to Clojure 1.10.1.
  * Fix a bug where disabling implicit middleware disabled explicit ones.
  * Add checksum check during self-install process.
  * Include repository auth when verifying dependencies.
  * Fix bugs in certain kinds of profile merging.
  * Include :repositories from project.clj in pom.xml file.
* Mon Aug 26 2019 Jan Engelhardt <jengelh@inai.de>
- Trim filler wording from descriptions.
* Tue Jul 16 2019 mvetter@suse.com
- Update to 2.9.1:
  * Fix a bug where provided namespace compilation order was overridden. (Phil Hagelberg)
  * Don't emit namespaced maps when merging data readers for uberjar. (Joel Kaasinen)
- Install to correct bash completions path
- Remove suse macros
- Use standalone leiningen
- Add files from upstream:
  * bash_completion.bash
  * zsh_completion.bash
  * lein.1 manpage
  * lein-pkg script
* Tue Jul 16 2019 mvetter@suse.com
- Remove PKGBUILD
* Thu Feb 19 2015 kgronlund@suse.com
- Update to 2.5.1
  - Completion scripts are now bundled in the distribution.
* Sun Jan 12 2014 kgronlund@suse.com
- Initial version.
